SystemOrganization addCategory: #'ITC-WebCounter'!

WAComponent subclass: #WebCounter
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ITC-WebCounter'!

!WebCounter commentStamp: 'BharathGhanta 9/10/2012 20:13' prior: 0!
A counter that can count up and down.
Instance Variables:
	count	<Number>!

!WebCounter class methodsFor: 'initialization' stamp: 'BharathGhanta 9/10/2012 20:08'!
initialize
	"WebCounter initialize"
	WAAdmin register: self asApplicationAt: 'webcounter'! !

!WebCounter methodsFor: 'actions' stamp: 'BharathGhanta 9/10/2012 20:02'!
decrease
	count := count - 1! !

!WebCounter methodsFor: 'actions' stamp: 'BharathGhanta 9/10/2012 20:02'!
increase
	count := count + 1! !

!WebCounter methodsFor: 'initialization' stamp: 'BharathGhanta 9/10/2012 20:00'!
initialize
	super initialize.
	count := 0! !

!WebCounter methodsFor: 'rendering' stamp: 'BharathGhanta 9/10/2012 20:12'!
renderContentOn: html
	html heading: count.
	html anchor
		callback: [self increase];
		with: '++'.
	html space.
	html anchor
		callback: [self decrease];
		with: '--'! !
WebCounter initialize!
